[COMMITTED] tests: Use /bin/sh instead of /bin/ls as always there binary
Mark Wielaard
mark@klomp.org
Fri Dec 17 17:56:00 GMT 2021
run-debuginfod-query-retry.sh would fail when /bin/ls wasn't available.
Use /bin/sh instead which really is always available.
GNU Guix doesn't have any other standard binary in /bin except for sh.
Signed-off-by: Mark Wielaard <mark@klomp.org>
---
tests/ChangeLog | 4 ++++
tests/run-debuginfod-query-retry.sh | 2 +-
2 files changed, 5 insertions(+), 1 deletion(-)
diff --git a/tests/ChangeLog b/tests/ChangeLog
index 82061c6e..c97ed52e 100644
--- a/tests/ChangeLog
+++ b/tests/ChangeLog
@@ -1,3 +1,7 @@
+2021-12-17 Mark Wielaard <mark@klomp.org>
+
+ * run-debuginfod-query-retry.sh: Use /bin/sh instead of /bin/ls.
+
2021-12-09 Frank Ch. Eigler <fche@redhat.com>
* debuginfod-subr.sh (xfail): New proc.
diff --git a/tests/run-debuginfod-query-retry.sh b/tests/run-debuginfod-query-retry.sh
index c9192510..0cfdba92 100755
--- a/tests/run-debuginfod-query-retry.sh
+++ b/tests/run-debuginfod-query-retry.sh
@@ -25,7 +25,7 @@ unset VALGRIND_CMD
########################################################################
# set up tests for retrying failed queries.
retry_attempts=`(testrun env DEBUGINFOD_URLS=http://255.255.255.255/JUNKJUNK DEBUGINFOD_RETRY_LIMIT=10 DEBUGINFOD_VERBOSE=1 DEBUGINFOD_CACHE_PATH=${PWD}/.client_cache \
- ${abs_top_builddir}/debuginfod/debuginfod-find debuginfo /bin/ls || true) 2>&1 >/dev/null \
+ ${abs_top_builddir}/debuginfod/debuginfod-find debuginfo /bin/sh || true) 2>&1 >/dev/null \
| grep -c 'Retry failed query'`
if [ $retry_attempts -ne 10 ]; then
echo "retry mechanism failed."
--
2.18.4
More information about the Elfutils-devel
mailing list